Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.injac.cocoon.readers
Class WebdavReader

    java.lang.Object
      org.apache.avalon.framework.logger.AbstractLogEnabled
          org.apache.cocoon.reading.AbstractReader
              org.injac.cocoon.readers.WebdavReader

All Implemented Interfaces:
  org.apache.cocoon.caching.CacheableProcessingComponent, org.apache.avalon.framework.component.Component, org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.framework.parameters.Parameterizable, org.apache.avalon.excalibur.pool.Poolable, org.apache.cocoon.reading.Reader, org.apache.avalon.excalibur.pool.Recyclable, org.apache.cocoon.sitemap.SitemapModelComponent, org.apache.cocoon.sitemap.SitemapOutputComponent

public class WebdavReader
extends org.apache.cocoon.reading.AbstractReader
implements org.apache.cocoon.caching.CacheableProcessingComponent, org.apache.avalon.framework.parameters.Parameterizable

Author:
  François Jannin * * Reader component intended to fetch webdav resources featuring identified access

Field Summary

Fields inherited from interface org.apache.cocoon.reading.Reader
`ROLE`

Constructor Summary
`WebdavReader()`

Method Summary
`void` | `connect(java.lang.String connexionString)` Connect to the WebDAV server
`void` | `generate()`
`java.io.Serializable` | `getKey()` Implementation method of org.apache.cocoon.caching.CacheableProcessingComponent
`org.apache.excalibur.source.SourceValidity` | `getValidity()` Implementation method of org.apache.cocoon.caching.CacheableProcessingComponent
`void` | `parameterize(org.apache.avalon.framework.parameters.Parameters parameters)`
`void` | `setup(org.apache.cocoon.environment.SourceResolver resolver, java.util.Map objectModel, java.lang.String src, org.apache.avalon.framework.parameters.Parameters par)` -Set the request parameters.

Methods inherited from class org.apache.cocoon.reading.AbstractReader
`getLastModified, getMimeType, recycle, setOutputStream, shouldSetContentLength`

Methods inherited from class org.apache.avalon.framework.logger.AbstractLogEnabled
`enableLogging`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebdavReader

    public WebdavReader()

Method Detail

### parameterize

    public void parameterize(org.apache.avalon.framework.parameters.Parameters parameters)
                      throws org.apache.avalon.framework.parameters.ParameterException

  Specified by:
    `parameterize` in interface `org.apache.avalon.framework.parameters.Parameterizable`
  Throws:
    `org.apache.avalon.framework.parameters.ParameterException`

### generate

    public void generate()
                  throws java.io.IOException,
                         org.xml.sax.SAXException,
                         org.apache.cocoon.ProcessingException

  Specified by:
    `generate` in interface `org.apache.cocoon.reading.Reader`
  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`
    `org.apache.cocoon.ProcessingException`

### getKey

    public java.io.Serializable getKey()

  Implementation method of org.apache.cocoon.caching.CacheableProcessingComponent

  Specified by:
    `getKey` in interface `org.apache.cocoon.caching.CacheableProcessingComponent`
  See Also:
    `CacheableProcessingComponent.getKey()`

### getValidity

    public org.apache.excalibur.source.SourceValidity getValidity()

  Implementation method of org.apache.cocoon.caching.CacheableProcessingComponent

  Specified by:
    `getValidity` in interface `org.apache.cocoon.caching.CacheableProcessingComponent`
  See Also:
    `CacheableProcessingComponent.getValidity()`

### setup

    public void setup(org.apache.cocoon.environment.SourceResolver resolver,
                      java.util.Map objectModel,
                      java.lang.String src,
                      org.apache.avalon.framework.parameters.Parameters par)
               throws org.apache.cocoon.ProcessingException,
                      org.xml.sax.SAXException,
                      java.io.IOException

  -Set the request parameters. Must be called before the generate method. -Stock keys for caching.

  Specified by:
    `setup` in interface `org.apache.cocoon.sitemap.SitemapModelComponent`
  Parameters:
    `resolver` - the SourceResolver object
    `objectModel` - a `Map` containing model object
    `src` - the directory to be XMLized specified as src attribute on <map:generate/>
    `par` - configuration parameters
  Throws:
    `org.apache.cocoon.ProcessingException`
    `org.xml.sax.SAXException`
    `java.io.IOException`

### connect

    public void connect(java.lang.String connexionString)
                 throws java.lang.Exception

  Connect to the WebDAV server

  Throws:
    `java.rmi.ServerException`
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD